--[[
	Target: This subroutine performs a manual simulation of a project with given start times
			and durations of the activities in progress
	More information: www.p2engine.com
	Main procedure: none (this is a subprocedure used by other main procedures)
	Classes: P2Project, P2Schedule, P2Tracking, P2Generator
	Last update: August 25, 2012
--]]

function create_project_object()
	-- Construct a project object (choose a name, e.g. MyProject)
	MyProject=P2Project:new()
end

function delete_project_object()
	-- Set the project pointer to nil
	MyProject=nil
	-- Collect garbage (clear memory)
end

function create_schedule_object()
	-- Construct a schedule object and link it to the project (choose a name, e.g. MySchedule)
	MySchedule=P2Schedule:new(MyProject)	
end

function delete_schedule_object()
	-- Set the project pointer to nil
	MySchedule=nil
end

function create_resource_object()
	-- Construct a resource object and link it to the project (choose a name, e.g. MySchedule)
	MyResource=(MyResource or P2Resource:new(MyProject,MySchedule))
end

function delete_resource_object()
	-- Set the resource pointer to nil
	MyResource=nil
end


function create_tracking_object()
	-- Construct a tracking object and link it to the baseline schedule (choose a name, e.g. MyTracking)
	MyTracking=(MyTracking or P2Tracking:new(MySchedule))
end

function delete_tracking_object()
	MyTracking=nil
end

function create_reader_object()
	-- Construct a reader object and link it to the baseline schedule (choose a name, e.g. MyReader)
	MyReader=(MyReader or P2Reader(MyProject,MySchedule))
end

function delete_reader_object()
	MyReader=nil
end

function create_generator_object()
	MyGenerator=(MyGenerator or P2Generator:new(MyProject,MySchedule))
end

function delete_generator_object()
	MyGenerator=nil
end

function create_simulator_object()
	MySimulator=(MySimulator or P2Simulator:new(MySchedule))
end

function delete_simulator_object()
	MySimulator=nil
end

function release_all_memory()
	-- Collect garbage (clear memory)
	collectgarbage()
end
